data-masterData
Retrieve ceiling, floor, and reference price information for securities by trading date.
Authorization
Bearer Enter the JWT token in the format Bearer <token>.
In: header
Header Parameters
The content format of the request body, use "application/json".
Information about the client sending the request.
The desired response language. If this header is absent, the system defaults to en.
Query Parameters
The start date in `YYYY/MM/DD` format. If not provided, the system returns the latest date's data.
The end date in `YYYY/MM/DD` format. If not provided, the system returns the latest date's data.
The page index for paginated results, starting from 1. If not provided, the system uses the default value of 1.
The number of records per page for paginated results. If not provided, the system uses the default value of 10.
Response Headers
The request limit for the period.
The number of requests remaining in the current period.
The time at which the request limit resets.
Response Body
application/json
application/json
curl -X GET "https://api.ssi.com.vn/api/v3/data/masterdata" \ -H "Content-Type: application/json"Success
{
"pageSize": 0,
"pageIndex": 0,
"pagesCount": 0,
"itemsCount": 0,
"data": [
{
"symbol": "string",
"exchange": "string",
"tradingDate": "string",
"ceiling": "string",
"floor": "string",
"refPrice": "string"
}
]
}Invalid request.
{
"code": "400",
"msg": "Invalid request"
}data-ohlcGET
Retrieve OHLCV candle data for a time range. Intraday data is available for the most recent year; daily data is available from when the securities symbol started trading.
data-corporateActionsGET
Retrieve corporate action events (cash dividends, stock dividends, rights issues, etc.) by symbol and date range. Events that have an ex-rights date are filtered by that date; newly announced events without an ex-rights date yet are filtered by their issue date or announcement date, in which case `exrightDate` and `ratio` may be empty strings. Results are sorted by ex-rights date in descending order. The required scope is `data:corporateActions:get`.